from abc import ABC, abstractmethod

class MazeBuilder(ABC):
    """Абстрактный строитель лабиринта"""
    
    @abstractmethod
    def build_from_file(self, filename: str):
        """Строит лабиринт из файла"""
        pass